Reconcile GSTR-2A Job Status
curl --request GET \
--url https://test-api.sandbox.co.in/gst/analytics/gstr-2a-reconciliation \
--header 'authorization: <authorization>' \
--header 'x-api-key: <x-api-key>'import requests
url = "https://test-api.sandbox.co.in/gst/analytics/gstr-2a-reconciliation"
headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};
fetch('https://test-api.sandbox.co.in/gst/analytics/gstr-2a-reconciliation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"transaction_id": "d3d19997-c48a-4867-95b9-5a77c3567098",
"data": {
"@entity": "in.co.sandbox.gst.analytics.gstr-2a_reconciliation.job",
"job_id": "d3d19997-c48a-4867-95b9-5a77c3567098",
"gstin": "24EGCAZ2081S7Z4",
"year": 2023,
"month": 12,
"reconciliation_criteria": "strict",
"status": "succeeded",
"reconciliation_report_url": "https://in-co-sandbox-gst-test-storage.s3.ap-south-1.amazonaws.com/gstr-2a-reconciliation/gstr-2a-reconciliation-report.xlsx",
"created_at": 123,
"updated_at": 123
},
"timestamp": 123
}
Poll Job
Fetch GSTR-2A reconciliation job status and download reconciliation report on jobās successful completion.
GET
/
gst
/
analytics
/
gstr-2a-reconciliation
Reconcile GSTR-2A Job Status
When the job succeeds, this endpoint returns a signed URL for the reconciliation report workbook.
Reconciliation report schema
Use this workbook schema to inspect or validate the downloaded report.View reconciliation report schema
If the job fails validation, use the
validation_report_url from the poll response to review the issues in the uploaded files.Headers
JWT access token
API key for identification
API version
Query Parameters
Job id of the created job
Was this page helpful?
āI